#include<bits/stdc++.h>
using namespace std;

int main()
{
    ios::sync_with_stdio(false);cin.tie(0);cout.tie(0);
    int n,k,g;
    cin >> n >> k;
    vector<int> m(2000010,0);
    vector<int> v;
    for (int i=0;i<n;i++)
    {
        cin >> g;
        m[g+1000000]++;
    }
    for (int i=0;i<m.size();i++)
        if(m[i]>=k)
            v.push_back(i-1000000);
    cout << v.size() << '\n';
    for (int i=0;i<v.size();i++)
        cout << v[i] << " ";
}